Get scores by multiple addresses
POST
/score/addresses
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://api.ethos.network/api/v2/score/addresses"), Content = new StringContent("{ \"addresses\": [ \"example\" ], \"triggerCalculation\": true }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/score/addresses"
payload := strings.NewReader("{ \"addresses\": [ \"example\" ], \"triggerCalculation\": true }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");RequestBody body = RequestBody.create(mediaType, "{ \"addresses\": [ \"example\" ], \"triggerCalculation\": true }");Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/score/addresses") .post(body) .addHeader("Content-Type", "application/json") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'POST', url: 'https://api.ethos.network/api/v2/score/addresses', headers: {'Content-Type': 'application/json'}, data: {addresses: ['example'], triggerCalculation: true}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/score/addresses';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"addresses":["example"],"triggerCalculation":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/score/addresses";
let payload = json!({ "addresses": ("example"), "triggerCalculation": true });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://api.ethos.network/api/v2/score/addresses \ --header 'Content-Type: application/json' \ --data '{ "addresses": [ "example" ], "triggerCalculation": true }'wget --quiet \ --method POST \ --header 'Content-Type: application/json' \ --body-data '{ "addresses": [ "example" ], "triggerCalculation": true }' \ --output-document \ - https://api.ethos.network/api/v2/score/addressesBulk form of /score/address. Returns an object keyed by each address exactly as passed. Unscored addresses return 0 and untrusted; triggerCalculation=true queues a calculation for each of them.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
addresses
required
Array<string>
triggerCalculation
boolean
Example generated
{ "addresses": [ "example" ], "triggerCalculation": true}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
key
additional properties
object
score
number
level
required
string
Example
{ "additionalProperty": { "level": "untrusted" }}Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}